[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.RemoveAllHandlersOfObject

Removes all event handlers assigned for the specified object.

## Declaration

Source position: stdctrls.pp line 852

`public procedure TCustomEdit.RemoveAllHandlersOfObject(`
`AnObject: TObject`
`); override;`

## Arguments

`AnObject` |  | Object instance to remove for the list of handlers in the control.

## Description

RemoveAllHandlersOfObject is an overridden method in TCustomEdit, and calls the inherited method on entry to remove handlers for the specified object.

RemoveAllHandlersOfObject uses the internal TMethodList instance (when assigned) and calls its RemoveAllMethodsOfObject method to remove entries where the TMethod data points to the object specified in AnObject.

## See also

TControl.RemoveAllHandlersOfObject |  | Removes all control handler types for the specified object.